# Xapian::MatchDecider Class Reference

Base class for matcher decision functor. More...

`#include <enquire.h>`

List of all members.

## Public Member Functions

virtual int | operator() (const Xapian::Document &doc) const =0
| Decide whether we want this document to be in the mset.
virtual | ~MatchDecider ()
| Destructor.

## Detailed Description

Base class for matcher decision functor.

## Constructor & Destructor Documentation

virtual Xapian::MatchDecider::~MatchDecider | ( |  | ) | `[inline, virtual]`

| Destructor.

## Member Function Documentation

virtual int Xapian::MatchDecider::operator() | ( | const Xapian::Document & | doc | ) | const`[pure virtual]`

| Decide whether we want this document to be in the mset.

The documentation for this class was generated from the following file:

- include/xapian/enquire.h